;// _ParticleArray = [_PAShapeName,_PAAnimationName,_PAType,_PATimerPeriod,_PALifeTime,_PAposition,_PAMoveVelocity,_PARotationVelocity,_PAWeight,_PAVolume,_PARubbing,_PASize,_PAColor,_PAanimationPhase,_PARandomDirectionPeriod,_PARandomDirectionIntensity,_PAOnTimer,_PABeforeDestroy,_PAObject]
;// _ParticleRandomArray = [_PRlifeTime,_PRposition,_PRmoveVelocity,_PRrotationVelocity,_PRsize,_PRcolor,_PRrandomDirectionPeriod,_PRrandomDirectionIntensity]

private [
					"_aircraft",
					"_MaxABIntensity",
					"_ABBoost",
					"_leftengine",
					"_rightengine",
					"_Intensity",
					"_ABcolorprofile",
					"_ABlifetime",
					"_ABexhaustvector",
					"_ABSizeProfile"				
				];

finddisplay(46) displayseteventhandler ["Keydown","if ((_this select 1) == 16) then {ABon = true}"];
finddisplay(46) displayseteventhandler ["KeyUp","if ((_this select 1) == 16) then {ABon = false}"];

ABOn = false;

_aircraft = _this;
_MaxABIntensity = 3;
_ABBoost = 1.1;

_leftengine = "#particlesource" createVehicle position _aircraft;
_rightengine = "#particlesource" createVehicle position _aircraft;
_Intensity = 0;
_ABcolorprofile =	
	[
	[0.040,0.100,0.900,_Intensity * 0.1500],
	[0.200,0.200,0.800,_Intensity * 0.1000],
	[0.500,0.200,0.000,_Intensity * 0.0250],
	[0.000,0.000,0.000,_Intensity * 0.0000]
	];
_ABlifetime = 0.07-(0.073*(speed _aircraft/1900));
_ABexhaustvector = 
	[
	(velocity _aircraft select 0) - ((vectordir _aircraft) select 0)*30,
	(velocity _aircraft select 1) - ((vectordir _aircraft) select 1)*30,
	(velocity _aircraft select 2) - ((vectordir _aircraft) select 2)*30
	];
_ABSizeProfile = [0.6+(2*(speed _aircraft/1900)),0.5+(10*(speed _aircraft/1900))];
		
_leftengine setParticleParams ["\Ca\data\cl_exp","","Billboard",1,_ABlifetime,[-1.14,-8.3,-0.8],_ABexhaustvector,1,1.2745,1,0,_ABSizeProfile,_ABcolorprofile,[0],0,0,"","",_aircraft];
_rightengine setParticleParams ["\Ca\data\cl_exp","","Billboard",1,_ABlifetime,[1.14,-8.3,-0.8],_ABexhaustvector,1,1.2745,1,0,_ABSizeProfile,_ABcolorprofile,[0],0,0,"","",_aircraft];
_leftengine setParticleRandom [0.05,[0.05,0.05,0.05],[0.05,0.05,0.05],0,0.8,[0.1,0.1,0.1,0],0,0];
_rightengine setParticleRandom [0.05,[0.05,0.05,0.05],[0.05,0.05,0.05],0,0.8,[0.1,0.1,0.1,0],0,0];
_leftengine setDropInterval 0;
_leftengine setDropInterval 0;

while {true} do
{
	if ((isengineon _aircraft) and (ABon)) then 
		{
		if (_Intensity < _MaxABIntensity) then {_Intensity = _Intensity + 0.2};
		_ABcolorprofile =	
			[
				[0.040,0.100,0.900,0.1500*_Intensity],
				[0.200,0.200,0.800,0.1000*_Intensity],
				[0.500,0.200,0.000,0.0250*_Intensity],
				[0.000,0.000,0.000,0.0000*_Intensity]
			];
		_ABlifetime = 0.07-(0.073*(speed _aircraft/1900));
		_ABexhaustvector = 
			[
				(velocity _aircraft select 0) - ((vectordir _aircraft) select 0)*30,
				(velocity _aircraft select 1) - ((vectordir _aircraft) select 1)*30,
				(velocity _aircraft select 2) - ((vectordir _aircraft) select 2)*30
			];
		_ABSizeProfile = [0.6+(2*(speed _aircraft/1900)),	0.5+(10*(speed _aircraft/1900))];
		_leftengine setParticleParams ["\Ca\data\cl_exp","","Billboard",1,_ABlifetime,[-1.14,-8.3,-0.8],_ABexhaustvector,1,1.2745,1,0,_ABSizeProfile,_ABcolorprofile,[0],0,0,"","",_aircraft];
		_rightengine setParticleParams ["\Ca\data\cl_exp","","Billboard",1,_ABlifetime,[1.14,-8.3,-0.8],_ABexhaustvector,1,1.2745,1,0,_ABSizeProfile,_ABcolorprofile,[0],0,0,"","",_aircraft];
		_leftengine setpos (getpos _aircraft);
		_rightengine setpos (getpos _aircraft);
		if (_Intensity > 0) then {_leftengine setDropInterval 0.001;_rightengine setDropInterval 0.001} else {_leftengine setDropInterval 0;_rightengine setDropInterval 0};
		if ((speed _aircraft) < 1900) then 
			{
				_aircraft setVelocity 
								[
									(velocity _aircraft select 0)+((vectordir _aircraft) select 0)*(_ABBoost*_Intensity/2),
									(velocity _aircraft select 1)+((vectordir _aircraft) select 1)*(_ABBoost*_Intensity/2),
									(velocity _aircraft select 2)+((vectordir _aircraft) select 2)*(_ABBoost*_Intensity/2)
								];
			};
		if (fuel _aircraft > 0) then {_aircraft setFuel ((fuel _aircraft)-(1/1200))};
		} 
	else 
		{
			if (_Intensity > 0) then {_Intensity = _Intensity - 0.2};
			_ABcolorprofile =	
				[
					[0.040,0.100,0.900,0.1500*_Intensity],
					[0.200,0.200,0.800,0.1000*_Intensity],
					[0.500,0.200,0.000,0.0250*_Intensity],
					[0.000,0.000,0.000,0.0000*_Intensity]
				];
			_ABlifetime = 0.07-(0.073*(speed _aircraft/1900));
			_ABexhaustvector = 
				[
					(velocity _aircraft select 0) - ((vectordir _aircraft) select 0)*30,
					(velocity _aircraft select 1) - ((vectordir _aircraft) select 1)*30,
					(velocity _aircraft select 2) - ((vectordir _aircraft) select 2)*30
				];
			_ABSizeProfile = 
				[
					0.6+(2*(speed _aircraft/1900)),
					0.5+(10*(speed _aircraft/1900))
				];
			_leftengine setParticleParams ["\Ca\data\cl_exp","","Billboard",1,_ABlifetime,[-1.14,-8.3,-0.8],_ABexhaustvector,1,1.2745,1,0,_ABSizeProfile,_ABcolorprofile,[0],0,0,"","",_aircraft];
			_rightengine setParticleParams ["\Ca\data\cl_exp","","Billboard",1,_ABlifetime,[1.14,-8.3,-0.8],_ABexhaustvector,1,1.2745,1,0,_ABSizeProfile,_ABcolorprofile,[0],0,0,"","",_aircraft];
			_leftengine setpos (getpos _aircraft);
			_rightengine setpos (getpos _aircraft);
			if (_Intensity > 0) then {_leftengine setDropInterval 0.001;_rightengine setDropInterval 0.001}	else 	{_leftengine setDropInterval 0;	_rightengine setDropInterval 0};
		};
	sleep 0.1;
};
